import QtQml
import QtQuick
import QtQuick.Layouts
import QtQuick.Controls

ColumnLayout {
  Layout.fillHeight: true
  Layout.fillWidth: true

  property alias cfg_updateInterval: updateIntervalSpin.value
  property alias cfg_commandForCheckingUpdates: commandForCheckingUpdates.text
  property alias cfg_commandForUpgrade: commandForUpgrade.text
  property alias cfg_showNotification: showNotification.checked
  property alias cfg_checkOnStart: checkOnStart.checked

  RowLayout {
    Layout.fillWidth: true

    Label {
      text: i18nc("@title:label", "Update interval (minutes):")
    }

    SpinBox {
      id: updateIntervalSpin
      from: 1
      to: 1440 // 1 day
      editable: true
    }
  }

  RowLayout {
    Layout.fillWidth: true

    Label {
      text: i18nc("@title:label", "Checking:")
    }

    CheckBox {
      id: checkOnStart
      text: i18nc("@option:check", "Check on start")
    }
  }

  RowLayout {
    Layout.fillWidth: true

    Label {
      text: i18nc("@title:label", "Notifications:")
    }

    CheckBox {
      id: showNotification
      text: i18nc("@option:check", "Show notification")
    }
  }

  RowLayout {
    Layout.fillWidth: true

    Label {
      text: i18nc("@title:label", "Command for cheching updates:")
    }

    TextField {
      id: commandForCheckingUpdates
      placeholderText: i18n("Write command for cheching updates")
    }
  }

  RowLayout {
    Layout.fillWidth: true

    Label {
      text: i18nc("@title:label", "Command for upgrade:")
    }

    TextField {
      id: commandForUpgrade
      placeholderText: i18n("Write command for upgrade")
    }
  }

  Item {
    Layout.fillHeight: true
    Layout.fillWidth: true
  }
}
